Bug 526054 - "file" reports c++ source files as "Lisp/Scheme program text"
Summary: "file" reports c++ source files as "Lisp/Scheme program text"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: file
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Novotny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 14:46 UTC by Ralf Corsepius
Modified: 2009-09-30 01:33 UTC (History)
1 user (show)

Fixed In Version: 5.03-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-30 01:33:38 UTC


Attachments (Terms of Use)
File exposing this bug (5.28 KB, text/plain)
2009-09-28 15:05 UTC, Ralf Corsepius
no flags Details

Description Ralf Corsepius 2009-09-28 14:46:57 UTC
Description of problem:
"file" reports some c++ source files as 
Lisp/Scheme program text

Version-Release number of selected component (if applicable):
file-5.03-2.fc11.x86_64
and
file-5.03-2.fc11.i586

How reproducible:
Always, on certain files.

So far, I haven't found a pattern which are affected, but I am observing this bug on many files.

Steps to Reproduce:
1. file <*>.cpp
  
Actual results:
# file SbClip.cpp 
SbClip.cpp: Lisp/Scheme program text

Expected results:
Correct results, "ASCII English text", "ASCI C program text" or similar


Additional info:
This breaks applying "file" to check source files' encodings to conditionally convert them from ISO* to utf-8, e.g. when building rpms.

This affects building rpms as part of Fedora and is causing mis-built packages.

Comment 1 Ralf Corsepius 2009-09-28 15:05:16 UTC
Created attachment 362907 [details]
File exposing this bug

Comment 2 Daniel Novotny 2009-09-29 10:59:56 UTC
this was already fixed in rawhide (see bug 510429)
I can push the fix also to F11

Comment 3 Fedora Update System 2009-09-29 11:22:46 UTC
file-5.03-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/file-5.03-3.fc11

Comment 4 Fedora Update System 2009-09-30 01:33:32 UTC
file-5.03-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.